/*
 *    TODO.java
 *    Copyright (C) 2000 Stuart Yeates 
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

// the package we're in
package org.nzdl.gsdl.ptp;

// java standard library classes used
import java.io.IOException;
import java.io.Reader;
import java.io.InputStreamReader;
import java.io.Writer;
import java.io.OutputStreamWriter;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.Serializable;
//import java.io.;
import java.util.*;
import java.net.*;


/**
 * Class ...
 *
 * Based on algorithms in ...
 *
 * @author stuart yeates (say1@cs.waikato.ac.nz)
 * @version $Revision: 2109 $
 * @see
 * @see
 * @see
 * 
 */

public class Node {

  static Properties knownList = new Properties();
  
  static String identityIOR = "IOR:123456789012345678901234567890123456789012345678901234567890";
  
  static String identityHTTP = "http://www.nzdl.org";

  static int identityPort = 4567;
  static String identityHost = null; //= InetAddress.getLocalHost().getHostName();
  static String identityP2P = identityHost + ":" + identityPort;

  void init(){
    if (identityHost == null) {
      try {
	identityHost = InetAddress.getLocalHost().getHostName();
	identityP2P = identityHost + ":" + identityPort;
      } catch (Exception exception) {
	System.err.println("caught exception: "+exception);
      }
    }

  }
  
  
  Node() {
    
    init();


    // start the server ...
    
    
    // start the poller ...
    Poller poller = new Poller();
    poller.run();
  
  }

  




  /**
   * Tests...
   *
   * 
   * @exception java.io.IOException when ...
   * @param args the arguments ...
   */

  public static void main(String args[]) throws IOException
  {

  }
}

